Skip to main content
GET
/
api
/
v1
/
budget_categories
/
{id}
Retrieve a budget category
curl --request GET \
  --url https://app.sure.am/api/v1/budget_categories/{id} \
  --header 'X-Api-Key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "budget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "currency": "<string>",
  "subcategory": true,
  "inherits_parent_budget": true,
  "category": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "color": "<string>",
    "lucide_icon": "<string>",
    "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "budgeted_spending": "<string>",
  "budgeted_spending_cents": 123,
  "display_budgeted_spending": "<string>",
  "display_budgeted_spending_cents": 123,
  "actual_spending": "<string>",
  "actual_spending_cents": 123,
  "available_to_spend": "<string>",
  "available_to_spend_cents": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.sure.am/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Api-Key
string
header
required

API key for authentication. Generate one from your account settings.

Path Parameters

id
string<uuid>
required

Budget category ID

Response

budget category retrieved

id
string<uuid>
required
budget_id
string<uuid>
required
currency
string
required
subcategory
boolean
required
inherits_parent_budget
boolean
required
category
object
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
budgeted_spending
string
budgeted_spending_cents
integer
display_budgeted_spending
string
display_budgeted_spending_cents
integer
actual_spending
string
actual_spending_cents
integer
available_to_spend
string
available_to_spend_cents
integer